## org.eclipse.emf.common.ui.celleditor
Class ExtendedTableTreeEditor

    java.lang.Object
      org.eclipse.swt.custom.ControlEditor
          org.eclipse.swt.custom.TableTreeEditor
              org.eclipse.emf.common.ui.celleditor.ExtendedTableTreeEditor

All Implemented Interfaces:
  java.util.EventListener, KeyListener, MouseListener, SelectionListener, org.eclipse.swt.internal.SWTEventListener

Direct Known Subclasses:
  AdapterFactoryTableTreeEditor

Deprecated.

    @Deprecated
    public abstract class ExtendedTableTreeEditor

extends TableTreeEditor
implements KeyListener, MouseListener, SelectionListener

This base class for implementing a `TableTreeEditor` calls `editItem(org.eclipse.swt.widgets.TableItem, org.eclipse.swt.custom.TableTreeItem, int)` when the cell editor potentially needs to be activated. This API is under construction; please do not use it for anything more than experimentation.

See Also:
  `ExtendedTreeEditor`

Field Summary
`protected TableTreeItem` `editTableTreeItem` Deprecated.
`protected int` `editTableTreeItemColumn` Deprecated.
`protected TableItem` `selectedTableItem` Deprecated.
`protected Table` `table` Deprecated.
`protected TableTree` `tableTree` Deprecated.

Fields inherited from class org.eclipse.swt.custom.ControlEditor
`grabHorizontal, grabVertical, horizontalAlignment, minimumHeight, minimumWidth, verticalAlignment`

Constructor Summary
`ExtendedTableTreeEditor(TableTree tableTree)` Deprecated.

Method Summary
`void` `dismiss()` Deprecated.
`protected abstract void` `editItem(TableItem tableItem, TableTreeItem tableTreeItem, int column)` Deprecated.
`void` `keyPressed(KeyEvent event)` Deprecated.
`void` `keyReleased(KeyEvent event)` Deprecated.
`void` `mouseDoubleClick(MouseEvent event)` Deprecated.
`void` `mouseDown(MouseEvent event)` Deprecated.
`void` `mouseUp(MouseEvent event)` Deprecated.
`void` `setEditor(Control canvas, TableTreeItem tableTreeItem, int column)` Deprecated.
`void` `widgetDefaultSelected(SelectionEvent event)` Deprecated.
`void` `widgetSelected(SelectionEvent event)` Deprecated.

Methods inherited from class org.eclipse.swt.custom.TableTreeEditor
`dispose, getColumn, getItem, layout, setColumn, setItem`

Methods inherited from class org.eclipse.swt.custom.ControlEditor
`getEditor, setEditor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### table

    protected Table table

  Deprecated.

### selectedTableItem

    protected TableItem selectedTableItem

  Deprecated.

### tableTree

    protected TableTree tableTree

  Deprecated.

### editTableTreeItem

    protected TableTreeItem editTableTreeItem

  Deprecated.

### editTableTreeItemColumn

    protected int editTableTreeItemColumn

  Deprecated.

Constructor Detail

### ExtendedTableTreeEditor

    public ExtendedTableTreeEditor(TableTree tableTree)

  Deprecated.

Method Detail

### mouseDoubleClick

    public void mouseDoubleClick(MouseEvent event)

  Deprecated.
  Specified by:
    `mouseDoubleClick` in interface `MouseListener`

### mouseDown

    public void mouseDown(MouseEvent event)

  Deprecated.
  Specified by:
    `mouseDown` in interface `MouseListener`

### dismiss

    public void dismiss()

  Deprecated.

### mouseUp

    public void mouseUp(MouseEvent event)

  Deprecated.
  Specified by:
    `mouseUp` in interface `MouseListener`

### widgetDefaultSelected

    public void widgetDefaultSelected(SelectionEvent event)

  Deprecated.
  Specified by:
    `widgetDefaultSelected` in interface `SelectionListener`

### widgetSelected

    public void widgetSelected(SelectionEvent event)

  Deprecated.
  Specified by:
    `widgetSelected` in interface `SelectionListener`

### keyPressed

    public void keyPressed(KeyEvent event)

  Deprecated.
  Specified by:
    `keyPressed` in interface `KeyListener`

### keyReleased

    public void keyReleased(KeyEvent event)

  Deprecated.
  Specified by:
    `keyReleased` in interface `KeyListener`

### editItem

    protected abstract void editItem(TableItem tableItem,
                                     TableTreeItem tableTreeItem,
                                     int column)

  Deprecated.

### setEditor

    public void setEditor(Control canvas,
                          TableTreeItem tableTreeItem,
                          int column)

  Deprecated.
  Overrides:
    `setEditor` in class `TableTreeEditor`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.